clang-tools 10.0.0

Classes | Namespaces | Typedefs | Enumerations | Functions
Representation.h File Reference
`#include "clang/AST/Type.h"`
`#include "clang/Basic/Specifiers.h"`
`#include "clang/Tooling/StandaloneExecution.h"`
`#include "llvm/ADT/Optional.h"`
`#include "llvm/ADT/SmallVector.h"`
`#include "llvm/ADT/StringExtras.h"`
`#include <array>`
`#include <string>`
Include dependency graph for Representation.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
struct | clang::doc::CommentInfo
struct | clang::doc::Reference
struct | clang::doc::TypeInfo
struct | clang::doc::FieldTypeInfo
struct | clang::doc::MemberTypeInfo
struct | clang::doc::Location
struct | clang::doc::Info
| A base struct for Infos. More...
struct | clang::doc::NamespaceInfo
struct | clang::doc::SymbolInfo
struct | clang::doc::FunctionInfo
struct | clang::doc::RecordInfo
struct | clang::doc::BaseRecordInfo
struct | clang::doc::EnumInfo
struct | clang::doc::Index
struct | clang::doc::ClangDocContext

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::doc

## Typedefs
using | clang::doc::SymbolID = std::array< uint8_t, 20 >

## Enumerations
enum | clang::doc::InfoType { clang::doc::InfoType::IT_default, clang::doc::InfoType::IT_namespace, clang::doc::InfoType::IT_record, clang::doc::InfoType::IT_function, clang::doc::InfoType::IT_enum }

## Functions
llvm::Expected< std::unique_ptr< Info > > | clang::doc::mergeInfos (std::vector< std::unique_ptr< Info >> &Values)